Get a hashtag's details by name, numeric hashtag ID, or hashtag URL. Returns its ID, video count, total views, description, and cover image.
curl "https://apidirect.io/v1/tiktok/hashtag?name=cooking" -H "X-API-Key: YOUR_API_KEY"
{
"hashtag": {
"hashtag_id": "18973",
"name": "cooking",
"description": "",
"video_count": 19318490,
"views": 555119436497,
"is_commerce": false,
"cover": "https://p16-common-sign.tiktokcdn.com/.../cover.jpeg",
"url": "https://www.tiktok.com/tag/cooking"
}
}
Yes. Provide exactly one of name (e.g. cooking or #cooking), hashtag_id (e.g. 18973), or url (e.g. https://www.tiktok.com/tag/cooking).
You only pay for successful requests. The TikTok Hashtag Details API costs $0.006 per request. There are no monthly fees or commitments. You get 50 free requests per endpoint every month.
No. You can sign up and use the free tier (50 requests/endpoint/month) without adding a payment method. You only need to add a card when you want to exceed the free tier.
Yes, there's a concurrency limit of 10 simultaneous requests per endpoint per user. If you need more, just get in touch.
Get your API key and start making requests in minutes. 50 requests/month free every month.
Get API Key